View Issue Details

IDProjectCategoryView StatusLast Update
0000915SymmetricDSBugpublic2014-02-02 20:53
ReporterdejinleeAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.1.9 
Target Version3.2.0Fixed in Version3.2.0 
Summary0000915: backslash (\) is exported as doubule backslash (\\) in CSV format
Descriptionwhen use dbexport to export table into CSV file,backslash (\) is exported as doubule backslash (\\) .
Steps To Reproduce1.dbexport --format CSV tb1
where there is backslash (\) in the colums of tb1,the backslash (\) is exported as doubule backslash (\\) .
2.dbimport --table tb1 --format CSV tb1.csv
will produce data truncation error.
TagsNo tags attached.

Activities

chenson

2012-12-16 12:32

administrator   ~0000135

Prepare for release

Related Changesets

SymmetricDS: master 184c8ea6

2012-11-20 20:36:49

chenson

Details Diff
0000915: backslash (\) is exported as doubule backslash (\\) in CSV format
0000915
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/DbExport.java Diff File
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/DbExportImportTest.java Diff File
add - symmetric-client/src/test/resources/test-dbimport-1-backslashes.sql Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IDataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/postgresql/PostgreSqlDmlStatement.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/DmlStatement.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/CsvUtils.java Diff File

SymmetricDS: master 287df7c6

2012-11-20 20:37:08

chenson

Details Diff
0000915: backslash (\) is exported as doubule backslash (\\) in CSV format
0000915
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File

Issue History

Date Modified Username Field Change
2012-11-17 20:13 dejinlee New Issue
2012-11-19 09:04 chenson Assigned To => chenson
2012-11-19 09:04 chenson Status new => assigned
2012-11-19 09:04 chenson Target Version => 3.2.0
2012-11-20 20:37 chenson Status assigned => resolved
2012-11-20 20:37 chenson Fixed in Version => 3.2.0
2012-11-20 20:37 chenson Resolution open => fixed
2012-12-16 12:32 chenson Note Added: 0000135
2012-12-16 12:32 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6538
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6539
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 287df7c6
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 184c8ea6